## kronosnet 1.33

=== debian/changelog ===
kronosnet (1.33-1ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable (LP: #2142224). Remaining changes:
    - d/rules: don't disable fortify feature. It adds
      -D_FORTIFY_SOURCE=0 in Ubuntu and conflicts with the upstream
      -D_FORTIFY_SOURCE=3 option.
  * Dropped changes:
    - d/p/gnu-date-check.patch: change GNU date check to also allow for
      the rust-coreutils variant (LP #2125058)
      [ Included in upstream version 1.33 ]
    - d/t/control: add the build-needed restriction, since the test calls
      ./configure
      [ Not needed, as patches for the configure script are dropped ]

 -- Renan Rodrigo <rr@ubuntu.com>  Thu, 19 Feb 2026 12:48:36 -0300

kronosnet (1.33-1) unstable; urgency=medium

  * [06a2fca] New upstream release (1.33) (Closes: #1126734)
  * [e71448a] Update Standards-Version to 4.7.3 (no changes required)
  * [f411b74] dpkg 1.23.0 dropped support for kfreebsd-any

 -- Ferenc Wágner <wferi@debian.org>  Sun, 01 Feb 2026 18:50:09 +0100

kronosnet (1.32-1ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable (LP: #2131648). Remaining changes:
    - d/rules: don't disable fortify feature. It adds
      -D_FORTIFY_SOURCE=0 in Ubuntu and conflicts with the upstream
      -D_FORTIFY_SOURCE=3 option.
    - d/p/gnu-date-check.patch: change GNU date check to also allow for
      the rust-coreutils variant (LP #2125058)
    - d/t/control: add the build-needed restriction, since the test calls
      ./configure

 -- Renan Rodrigo <rr@ubuntu.com>  Mon, 17 Nov 2025 05:15:44 -0300
